<div class="row>
    <div class="page-header align-items-start min-vh-50 pt-5 pb-11 m-3 border-radius-lg">
      <span ></span>
      <div class="container">
        <div class="row justify-content-center">
          <div class="col-lg-5 text-center mx-auto">
            <h1 class="text-white mb-2 mt-5">&nbsp;</h1>
            <p class="text-lead text-white">&nbsp;</p>
            
          </div>
        </div>
      </div>
    </div>


    <div class="container">
      <div class="row mt-lg-n10 mt-md-n11 mt-n10 justify-content-center">
        <div class="col-xl-4 col-lg-5 col-md-7 mx-auto">
          <div class="card z-index-0">
            <div class="card-header text-center pt-4">
              <h5>Enroll event or <%= link_to "enroll other", root_path,  class: "text-info text-gradient font-weight-bold" %></h5>              
            </div>
            <div class="card-header">
              <ul class="list-group">
                <li class="list-group-item text-sm">Event: <strong><%=event.name%> [ID: <%=event.id%>]</strong></li>
                <li class="list-group-item text-sm">Date: <strong><%=event.eventDate.strftime("%d/%m/%Y") %> </strong></li>
                <li class="list-group-item text-sm">Scheduled: <strong><%=event.timeIni.strftime("%H:%M")%> - <%=event.timeEnd.strftime("%H:%M")%> </strong></li>
                <li class="list-group-item text-sm">Players: <strong><%=event.people%> </strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Only left: <strong><%=event.onlyLeft%></strong></li>
                <li class="list-group-item text-sm">Category: <strong><%=event.level%>&nbsp;&nbsp;
                  <%if  event.mixed   %>
                    Mixed
                  <%else%>
                    Fixed
                  <%end%>
                  Couples</strong>
                </li>                
              </ul>                                          
            </div>
            <!-- Button trigger modal -->
            <div class="text-center">
              <button type="button" class="btn btn-sm bg-gradient-success" data-bs-toggle="modal" data-bs-target="#exampleModal">See enrolled players</button>
            </div>
            
              
            
            <div class="card-body">
              <%= form_with(model: match_player) do |f| %>
                <% if match_player.errors.any? %>
                  <div style="color: red">
                    <h2><%= pluralize(match_player.errors.count, "error") %> prohibited this event from being saved:</h2>

                    <ul>
                      <% match_player.errors.each do |error| %>
                        <li><%= error.full_message %></li>
                      <% end %>
                    </ul>
                  </div>
                <% end %>
                <div class="mb-3">                
                  <p class="text-s mt-3 mb-0">Type your cellphone or full name</p>                
                  <%= f.text_field :event_id, value: event.id,  style: "#{'display:none'}"%>
                  
                  <%= f.select :player_id, options_for_select(Player.where.not({ id: event.match_player.collect{|mp| mp.player.id}}).order(:name).collect { |player|
                                                                   [(player.cellphone? ? player.try(:cellphone):'no cellphone') + "-" + player.name.titleize , player.id] }, @match_player.player_id), {}, {id: 'select2_player_id_mobile',class:"form-control ms-auto",  required: true} %>
                  <%= button_tag(type: 'submit', class: "btn bg-gradient-primary w-100 my-4 mb-2") do %>
                        <i class="fa fa-check"></i>&nbsp;&nbsp;Enroll event
                  <% end %>
                </div>
                <p class="text-sm mt-3 mb-0">Your cellphone does not appear?
                <%= link_to "Register here", new_player_path(event),  class: "text-info text-gradient font-weight-bold" %>
                 </p>
              <%end%>
            </div>
          </div>
        </div>
      </div>
    </div>
  
</div>








<!-- Modal Enrolled Players-->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Enrolled players to "<%=event.name%>" [ID: <%=event.id%>]</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">        
        <div class="card">
          <div class="table-responsive">
            <table class="table align-items-center mb-0">
              <thead>
                <tr>
                  <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">#</th>
                  <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">Player</th>
                  <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">Status</th>
                  <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7"></th>
                </tr>
              </thead>
              <tbody>
                <% (event.match_player.all.sort_by{|p| p.created_at}).each.with_index(1) do | mp, i |%>
                  <tr>
                    <td>
                      <p class="text-xs font-weight-bold mb-0"><%=i%></p>
                    </td>                  
                    <td>
                      <div class="d-flex px-2 py-1">
                        <div>
                          <%if !mp.player.image_attachment.nil?%>
                            <%= image_tag(mp.player.image, class: "avatar avatar-sm me-3") if !mp.player.image_attachment.nil? %>
                          <%else%>
                            <%= image_tag("blank-profile-picture.jpg", class: "avatar avatar-sm me-3")%>
                          <%end%>                          
                        </div>
                        <div class="d-flex flex-column justify-content-center">
                          <h6 class="mb-0 text-xs"><%=mp.player.name.titleize%></h6>
                          <p class="text-xs text-secondary mb-0"><%=mp.player.cellphone%></p>
                        </div>
                      </div>
                    </td>
                    <td>
                      <div>
                        <div>
                          <%if mp.status=='OnBoard' %>
                            <span class="badge badge-sm bg-gradient-success"><%=mp.status%></span>
                          <%else%>
                            <span class="badge badge-sm bg-gradient-danger"><%=mp.status%></span>
                          <%end%>
                          <p class="text-xs font-weight-bold mb-0"><%= local_time(mp.created_at, %"%d/%m/%Y")%></p>
                          <p class="text-xs font-weight-bold mb-0"><%= local_time(mp.created_at, "%H:%M:%S")%></p>
                          
                        </div>
                      </div>
                    </td>                                          
                    <td>                      
                      <%= link_to(edit_match_player_path(mp.id), class: "text-sm text-danger text-gradient text-bold", data: { turbo_frame: "validation_code_modal" }) do %>
                        Quit&nbsp;&nbsp;<i class="fa fa-sign-out"></i>
                      <%end%>
                    </td>
                  </tr>
                <%end%>
              </tbody>
            </table>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn bg-gradient-secondary" data-bs-dismiss="modal">
           <i class="fa fa-times"></i>&nbsp; Close
        </button>        
        
        
      </div>
    </div>
  </div>
</div>
<script type="text/javascript">
  // In your Javascript (external .js resource or <script> tag)
  $(document).ready(function() {
      //$('.js-example-basic-single').select2();
      $('#select2_player_id').select2();
      $('#select2_event_id').select2();

      $('#select2_player_id_mobile').select2();
  });
</script>
